Author: Craig Small <csmall@debian.org>
Description: Use system CA file
 Instead of the shipped CA file use the system one found in the
 Debian ca-certificates package.
Bug-Debian: http://bugs.debian.org/748965
Reviewed-by: Craig Small <csmall@debian.org>
Last-Update: 2023-04-11
--- a/wp-includes/class-wp-http.php
+++ b/wp-includes/class-wp-http.php
@@ -11,7 +11,7 @@
 	require ABSPATH . WPINC . '/Requests/src/Autoload.php';
 
 	WpOrg\Requests\Autoload::register();
-	WpOrg\Requests\Requests::set_certificate_path( ABSPATH . WPINC . '/certificates/ca-bundle.crt' );
+	WpOrg\Requests\Requests::set_certificate_path( '/etc/ssl/certs/ca-certificates.crt' );
 }
 
 /**
@@ -135,7 +135,7 @@
 	 *                                             need to be separately decompressed. Default true.
 	 *     @type bool         $sslverify           Whether to verify SSL for the request. Default true.
 	 *     @type string       $sslcertificates     Absolute path to an SSL certificate .crt file.
-	 *                                             Default ABSPATH . WPINC . '/certificates/ca-bundle.crt'.
+	 *                                             Default '/etc/ssl/certs/ca-certificates.crt'
 	 *     @type bool         $stream              Whether to stream to a file. If set to true and no filename was
 	 *                                             given, it will be dropped it in the WP temp dir and its name will
 	 *                                             be set using the basename of the URL. Default false.
@@ -207,7 +207,7 @@
 			'compress'            => false,
 			'decompress'          => true,
 			'sslverify'           => true,
-			'sslcertificates'     => ABSPATH . WPINC . '/certificates/ca-bundle.crt',
+			'sslcertificates'     => '/etc/ssl/certs/ca-certificates.crt',
 			'stream'              => false,
 			'filename'            => null,
 			'limit_response_size' => null,
